
Website Input - Task #1885

Update libraries

05/25/2017 08:12 PM - Luke Murphey

Status: Closed Start date: 05/25/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Browser Renderer Estimated time: 0.00 hour

Target version: 4.3.0   

Description

Related issues:

Related to Website Input - Bug #1933: Firefox integration freezes on Windows Closed 07/15/2017

Associated revisions

Revision 463 - 07/11/2017 03:51 PM - lukemurphey

Updating Selenium and chardet

Reference #1885

Revision 464 - 07/11/2017 03:52 PM - lukemurphey

Updating Gecko drivers

Reference #1885

Revision 468 - 07/13/2017 07:42 PM - lukemurphey

Updating the Geckdriver to 0.18.0

Reference #1885

Revision 469 - 07/13/2017 07:45 PM - lukemurphey

Adding a link to the dependencies

Reference #1885

History

#1 - 07/07/2017 09:33 PM - Luke Murphey

https://lukemurphey.net/projects/splunk-web-input/wiki/Dependencies

To update:

1. chardet, https://pypi.python.org/pypi/chardet

2. Selenium, https://github.com/SeleniumHQ/selenium/releases

3. Gecko driver, https://github.com/mozilla/geckodriver/releases
#2 - 07/07/2017 09:40 PM - Luke Murphey

Gecko drivers require the following version of Selenium:

1. 0.16.0 (requires 3.4)

2. 0.15.0 (requires 3.3)

#3 - 07/10/2017 10:15 PM - Luke Murphey

Need to indicate which version of Selenium is used

#4 - 07/11/2017 05:46 AM - Luke Murphey

MIght want to consider https://git-lfs.github.com/ for these.

#5 - 07/11/2017 05:52 AM - Luke Murphey

- Category set to Input: Browser Renderer

- Status changed from New to In Progress

- Assignee set to Luke Murphey

- % Done changed from 0 to 70

#6 - 07/12/2017 03:13 PM - Luke Murphey

0.18.0 has been released: https://github.com/mozilla/geckodriver/releases/tag/v0.18.0

#7 - 07/13/2017 07:43 PM - Luke Murphey

- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#8 - 07/14/2017 08:34 PM - Luke Murphey

WebServer works

#9 - 07/14/2017 09:20 PM - Luke Murphey

Windows doesn't appear to (at least not on Rome).

#10 - 07/15/2017 12:36 AM - Luke Murphey

Will try on Smyrna.

#11 - 07/16/2017 01:40 AM - Luke Murphey

- Status changed from Resolved to Closed

#12 - 07/18/2017 07:33 PM - Luke Murphey

- Related to Bug #1933: Firefox integration freezes on Windows added
